Bug 532345 - Extreme Tux Racer fails to start if enable_fsaa is true
Extreme Tux Racer fails to start if enable_fsaa is true
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: extremetuxracer (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-01 14:25 EST by Michael De La Rue
Modified: 2010-12-03 22:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X server log. (93.10 KB, text/plain)
2009-11-01 14:25 EST, Michael De La Rue
no flags Details

  None (edit)
Description Michael De La Rue 2009-11-01 14:25:27 EST
Created attachment 367033 [details]
X server log.  

Description of problem:
extreme tux racer 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start etracer
2. go to configuration -> video
3. turn on fsaa
4. restart etracer
  
Actual results:
running from menu:- nothing

running from command line:- 
get the following message:
*** etracer error: Couldn't initialize video: Couldn't find matching GLX visual (Resource temporarily unavailable)

etracer fails to start up

Expected results:
there should be some warning that there is a configuration error

Additional info:
I was going to put this as "urgent" but I realised that no setting in a bug tracker could possibly represent the full horror of tuxracer not working.  I trust the fedora project will know the full level of resources which should be dedicated night and day to ensuring the resolution of this issue.  

work around is either to 
  rm -r ~/.etracer
or to edit the file manually to turn change the line with enable_fsaa to be false, like so:
set enable_fsaa false

diff of two options files:

--- .etracer-working/options	2009-11-01 20:14:01.283791810 +0100
+++ .etracer/options	2009-11-01 20:14:53.620916896 +0100
@@ -353,7 +353,7 @@
 #
 # Set this to true to activate FSAA
 #
-set enable_fsaa false
+set enable_fsaa true
 
 # multisamples
 #
Comment 1 Bug Zapper 2009-11-16 09:50:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 02:54:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 22:33:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.